Last Comment Bug 343070 - Correct margins in history preference pane
: Correct margins in history preference pane
Status: VERIFIED FIXED
: verified1.8.1
Product: Camino Graveyard
Classification: Graveyard
Component: Preferences (show other bugs)
: unspecified
: PowerPC Mac OS X
-- minor (vote)
: Camino1.5
Assigned To: froodian (Ian Leue)
:
:
Mentors:
Depends on:
Blocks: 325880
  Show dependency treegraph
 
Reported: 2006-06-28 19:52 PDT by froodian (Ian Leue)
Modified: 2006-08-25 15:12 PDT (History)
0 users
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
New History.nib (6.51 KB, application/zip)
2006-06-28 19:53 PDT, froodian (Ian Leue)
no flags Details
Screenshot (56.25 KB, image/png)
2006-06-28 19:53 PDT, froodian (Ian Leue)
no flags Details
Fixes centering (6.51 KB, application/zip)
2006-06-29 04:04 PDT, froodian (Ian Leue)
alqahira: review-
Details
Screenshot (56.09 KB, image/png)
2006-06-29 04:04 PDT, froodian (Ian Leue)
no flags Details
Centers more betterer (6.57 KB, application/zip)
2006-06-29 19:08 PDT, froodian (Ian Leue)
alqahira: review+
Details
Screenshot (55.73 KB, image/png)
2006-06-29 19:09 PDT, froodian (Ian Leue)
no flags Details
Expands space slightly (6.58 KB, application/zip)
2006-07-21 06:39 PDT, froodian (Ian Leue)
mikepinkerton: superreview+
Details
Screenshot (58.61 KB, image/png)
2006-07-21 06:40 PDT, froodian (Ian Leue)
no flags Details

Description User image froodian (Ian Leue) 2006-06-28 19:52:31 PDT
This is part of preference pane cleanup. (see bug 325880)
Comment 1 User image froodian (Ian Leue) 2006-06-28 19:53:24 PDT
Created attachment 227496 [details]
New History.nib
Comment 2 User image froodian (Ian Leue) 2006-06-28 19:53:45 PDT
Created attachment 227497 [details]
Screenshot
Comment 3 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-06-28 23:33:13 PDT
Comment on attachment 227496 [details]
New History.nib

There's extra space on the right, due to the extra length of the text boxes again.
Comment 4 User image froodian (Ian Leue) 2006-06-29 03:27:27 PDT
Comment on attachment 227496 [details]
New History.nib

Are you sure?  Both hint text boxes are pulled exactly to 20px from the end...
Comment 5 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-06-29 03:51:39 PDT
Yes, but both have 15-20px of blank space between the last character and the edge of the box, so it looks like 35-40px.
Comment 6 User image froodian (Ian Leue) 2006-06-29 04:04:11 PDT
Created attachment 227523 [details]
Fixes centering

yeah, you're right.  sorry about that. :p
Comment 7 User image froodian (Ian Leue) 2006-06-29 04:04:32 PDT
Created attachment 227524 [details]
Screenshot
Comment 8 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-06-29 18:30:59 PDT
Comment on attachment 227523 [details]
Fixes centering

The bottom rectangle still is longer than its text, which makes the right side look bigger.  It's certainly better.

Shouldn't we be setting first responder on the text field for when the "force focus highlight on first item" bug is fixed?
Comment 9 User image froodian (Ian Leue) 2006-06-29 19:08:26 PDT
Created attachment 227645 [details]
Centers more betterer

Also fixes initialFirstResponder.  Thanks for catching that.
Comment 10 User image froodian (Ian Leue) 2006-06-29 19:09:10 PDT
Created attachment 227646 [details]
Screenshot
Comment 11 User image Mike Pinkerton (not reading bugmail) 2006-07-21 06:22:45 PDT
i think the vertical compression makes things too busy and hard to separate the differnt prefs visually. Agreement?
Comment 12 User image froodian (Ian Leue) 2006-07-21 06:39:35 PDT
Created attachment 230123 [details]
Expands space slightly
Comment 13 User image froodian (Ian Leue) 2006-07-21 06:40:28 PDT
Created attachment 230124 [details]
Screenshot
Comment 14 User image Mike Pinkerton (not reading bugmail) 2006-07-21 08:30:44 PDT
Comment on attachment 230123 [details]
Expands space slightly

sr=pink
Comment 15 User image Nick Kreeger 2006-07-21 17:52:56 PDT
Fixed trunk and branch.

Note You need to log in before you can comment on or make changes to this bug.